## guzzle 7.4.4

=== debian/changelog ===
guzzle (7.4.4-2) unstable; urgency=medium

  * Team upload
  * Install phpabtpl(1) autoloaders
  * Fix autoload.php
  * Drop broken autopkgtests

 -- David Prévot <taffit@debian.org>  Sun, 19 Jun 2022 19:51:44 +0200

guzzle (7.4.4-1) sid; urgency=medium

  * Upgrading to 7.4.4 because of cookie injection leak (Closes: #1011636)
    [CVE-2022-31042, CVE-2022-31043]
  * Adding test folder to debian.
  * Adopting debian/rules to the salsa standard.
  * Optimizing watchfile.
  * Adding some more files which have to be cleaned.
  * Adding gbp config file.
  * Adding upstream/metadata and signing key.
  * Adding newer standards version.
  * debian/control: Correcting Vcs* paths.
  * debian/control: Break should also be valid for Debian-replace.

 -- Katharina Drexel <katharina.drexel@bfh.ch>  Thu, 16 Jun 2022 18:22:39 +0200

guzzle (7.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #1004898).

 -- Katharina Drexel <katharina.drexel@bfh.ch>  Mon, 31 Jan 2022 17:14:16 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all,pgpmode=gittag \
https://github.com/guzzle/guzzle \
refs/tags//v?(\d.+)

## guzzle 7.4.5

=== Makefile ===
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  start-server                   to start the test server"
	@echo "  stop-server                    to stop the test server"
	@echo "  test                           to perform unit tests.  Provide TEST to perform a specific test."
	@echo "  coverage                       to perform unit tests with code coverage. Provide TEST to perform a specific test."
	@echo "  coverage-show                  to show the code coverage report"
	@echo "  clean                          to remove build artifacts"
	@echo "  docs                           to build the Sphinx docs"
	@echo "  docs-show                      to view the Sphinx docs"
	@echo "  static                         to run phpstan and php-cs-fixer on the codebase"
	@echo "  static-phpstan                 to run phpstan on the codebase"
	@echo "  static-phpstan-update-baseline to regenerate the phpstan baseline file"
	@echo "  static-codestyle-fix           to run php-cs-fixer on the codebase, writing the changes"
	@echo "  static-codestyle-check         to run php-cs-fixer on the codebase"

start-server: stop-server
	node tests/server.js &> /dev/null &
	./vendor/bin/http_test_server &> /dev/null &

stop-server:
	@PID=$(shell ps axo pid,command \
	  | grep 'tests/server.js' \
	  | grep -v grep \
	  | cut -f 1 -d " "\
	) && [ -n "$$PID" ] && kill $$PID || true
	@PID=$(shell ps axo pid,command \
	  | grep 'vendor/bin/http_test_server' \
	  | grep -v grep \
	  | cut -f 1 -d " "\
	) && [ -n "$$PID" ] && kill $$PID || true

test: start-server
	vendor/bin/phpunit
	$(MAKE) stop-server

coverage: start-server
	vendor/bin/phpunit --coverage-html=build/artifacts/coverage
	$(MAKE) stop-server

coverage-show: view-coverage

view-coverage:
	open build/artifacts/coverage/index.html

clean:
	rm -rf artifacts/*

docs:
	cd docs && make html && cd ..

docs-show:
	open docs/_build/html/index.html

static: static-phpstan static-psalm static-codestyle-check

static-psalm:
	composer install
	composer bin psalm update
	vendor/bin/psalm.phar $(PSALM_PARAMS)

static-psalm-update-baseline:
	composer install
	composer bin psalm update
	$(MAKE) static-psalm PSALM_PARAMS="--set-baseline=psalm-baseline.xml"

static-phpstan:
	composer install
	composer bin phpstan update
	vendor/bin/phpstan analyze $(PHPSTAN_PARAMS)

static-phpstan-update-baseline:
	composer install
	composer bin phpstan update
	$(MAKE) static-phpstan PHPSTAN_PARAMS="--generate-baseline"

static-codestyle-fix:
	composer install
	composer bin php-cs-fixer update
	vendor/bin/php-cs-fixer fix --diff $(CS_PARAMS)

static-codestyle-check:
	$(MAKE) static-codestyle-fix CS_PARAMS="--dry-run"

.PHONY: docs coverage-show view-coverage

=== debian/changelog ===
guzzle (7.4.5-1) unstable; urgency=medium

  * Upgrading to 7.4.5 because of patch concerning removing authorization and
    cookie headers
    (Closes: #1014492)
    [CVE-2022-31091, CVE-2022-31090]
  * d/watch: removing typo.
  * d/gbp.conf: Adopting vcs-tag to upstream tar name.

 -- Katharina Drexel <katharina.drexel@bfh.ch>  Thu, 07 Jul 2022 09:27:40 +0200

=== debian/control ===
Source: guzzle
Section: php
Priority: optional
Maintainer: Katharina Drexel <katharina.drexel@bfh.ch>
Build-Depends:
 debhelper-compat (= 13),
 phpab,
 php-guzzlehttp-promises,
 php-guzzlehttp-psr7,
 php-psr-http-client,
 php-symfony-deprecation-contracts,
 pkg-php-tools,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/guzzle/guzzle
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-guzzlehttp-guzzle
Vcs-Git: https://salsa.debian.org/php-team/pear/php-guzzlehttp-guzzle.git

Package: php-guzzlehttp-guzzle
Architecture: all
Depends:
 ${misc:Depends},
 ${phpcomposer:Debian-require},
Suggests:
 ${phpcomposer:Debian-suggest},
Replaces:
 ${phpcomposer:Debian-replace},
Breaks:
 ${phpcomposer:Debian-conflict},
 ${phpcomposer:Debian-replace},
Provides:
 ${phpcomposer:Debian-provide},
Description: ${phpcomposer:description}
 Guzzle is a PHP HTTP client that makes it easy to send HTTP requests and
 trivial to integrate with web services.
 .
  * Simple interface for building query strings, POST requests, streaming
    large uploads, streaming large downloads, using HTTP cookies, uploading
    JSON data, etc.
  * Can send both synchronous and asynchronous requests using the same
    interface.
  * Uses PSR-7 interfaces for requests, responses, and streams. This
    allows you to utilize other PSR-7 compatible libraries with Guzzle.
  * Supports PSR-18 allowing interoperability between other PSR-18 HTTP Clients.
  * Abstracts away the underlying HTTP transport, allowing you to write
    environment and transport agnostic code; i.e., no hard dependency on cURL,
    PHP streams, sockets, or non-blocking event loops.
  * Middleware system allows you to augment and compose client behavior.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --with phpcomposer

#override_dh_auto_build:
#	phpab --output src/autoload.php src

execute_before_dh_auto_build:
	# Build a template for phpab(1)
# (not needed if the package has no dependency)
	phpabtpl \
		--basedir src \
		composer.json > \
		debian/autoload.php.tpl
	phpab --output src/autoload.php --template debian/autoload.php.tpl src

execute_before_dh_auto_test:
	# does not work - empty file generated
	# Build classloader for tests
	# mkdir --parents vendor guzzlehttp
	# phpabtpl \
	#	--require guzzlehttp/guzzle \
	#	--require phpspec/prophecy-phpunit \
	#	# If packages from ''require-dev'' in ''composer.json''
	#	# are actually needed to run the testsuite
	#	--require-file tests \
	#	# If ''files'' from ''autoload-dev'' in ''composer.json''
	#	> debian/autoload.tests.php.tpl
	#phpab \
	#	--output vendor/autoload.php \
	#	--template debian/autoload.tests.php.tpl \
	#	tests
	# Workaround to ensure the local class takes precedence during tests.
	#ln -sr src guzzlehttp/guzzle 

#override_dh_auto_test:
#	phpunit

=== debian/watch ===
version=4
opts=uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all,pgpmode=gittag \
https://github.com/guzzle/guzzle \
refs/tags/v?(\d.+)

## guzzle 7.9.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Guzzle.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Guzzle.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Guzzle"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Guzzle"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
Sphinx>=1.3.0,<1.4.0
guzzle_sphinx_theme>=0.7.0,<0.8.0
jinja2<3
markupsafe<2.1

=== debian/changelog ===
guzzle (7.9.2-0.1) unstable; urgency=medium

  [ Katharina Drexel ]
  * Adding patch for removing Makefile (disturbing build process).
  * d/gbp.conf: Correcting upstream-vcs-tag.
  * d/control: Setting php-pear mailing list as maintainer.
  * d/control: Sorting.
  * Updating changelog.
  * d/rules: removing trailing whitespace.

  [ Ondřej Surý ]
  * New upstream version with PHP 8.4 support
  * Non-maintainer upload

 -- Ondřej Surý <ondrej@debian.org>  Fri, 06 Dec 2024 20:07:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: guzzle
 Section: php
 Priority: optional
-Maintainer: Katharina Drexel <katharina.drexel@bfh.ch>
+Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- phpab,
  php-guzzlehttp-promises,
  php-guzzlehttp-psr7,
  php-psr-http-client,
  php-symfony-deprecation-contracts,
+ phpab,
  pkg-php-tools,
 Rules-Requires-Root: no
 Standards-Version: 4.6.1

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	#	--template debian/autoload.tests.php.tpl \
 	#	tests
 	# Workaround to ensure the local class takes precedence during tests.
-	#ln -sr src guzzlehttp/guzzle 
+	#ln -sr src guzzlehttp/guzzle
 
 #override_dh_auto_test:
 #	phpunit

=== debian/watch ===
version=4
opts=uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/guzzle/guzzle \
refs/tags/?(\d.+)
